<?php

namespace src\Migrations;

class _022_adicionarForenKeyPropostaTipoTrabalho
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "ALTER TABLE proposta ADD CONSTRAINT fk_id_tipo_trabalho_proposta FOREIGN KEY (id_tipo_trabalho) REFERENCES tipo_trabalho(id);";

        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down() {}
}
